Skip to content
Start here

Update account Email Sending suppression

client.EmailSending.Suppressions.Edit(ctx, suppressionID, params) (*SuppressionEditResponse, error)
PATCH/accounts/{account_id}/email/sending/suppressions/{suppression_id}

Updates expiry or advisory note fields without changing legacy internal zone memberships.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
suppressionID string
formatuuid
params SuppressionEditParams
AccountID param.Field[string]

Path param

ExpiresAt param.Field[Time]Optional

Body param: New expiry. Send null to make the suppression permanent; omit to leave it unchanged.

formatdate-time
Note param.Field[string]Optional

Body param: Replacement advisory note. Send an empty string to clear it; omit to leave it unchanged.

maxLength1000
ReturnsExpand Collapse
type SuppressionEditResponse struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
Email string
formatemail
ExpiresAt Time
formatdate-time
ReadOnly bool

Whether clients may mutate this suppression. This is determined by the server and must not be inferred from reason.

Reason string
Note stringOptional

Update account Email Sending suppression

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/email_sending"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.EmailSending.Suppressions.Edit(
    context.TODO(),
    "396a5436-d4b0-42a6-b3fc-48e8fa522321",
    email_sending.SuppressionEditParams{
      AccountID: cloudflare.F("54442216"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.ID)
}
{
  "errors": [
    {}
  ],
  "messages": [
    {}
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "email": "user@example.com",
    "expires_at": "2019-12-27T18:11:19.117Z",
    "read_only": true,
    "reason": "hard_bounce",
    "note": "Imported from CRM"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {}
  ],
  "messages": [
    {}
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "email": "user@example.com",
    "expires_at": "2019-12-27T18:11:19.117Z",
    "read_only": true,
    "reason": "hard_bounce",
    "note": "Imported from CRM"
  },
  "success": true
}